Start a new billing period for an organization

Start a new billing period for an organization. This must be set on the day the current billing period ends – Reseller/Partner only.

OpenAPI

````yaml post /api/v2/billing/billingPeriod
openapi: 3.0.0
info:
version: 2.0.0
title: GetVoiceBot API
description: GetVoiceBot API Documentation
servers:
- url: https://api.getvoicebot.com
description: GetVoiceBot Production
variables:
baseUrl:
default: api.getvoicebot.com
description: Production API Root
security: []
tags:
- name: Agents
- name: Inbound Email
description: Control which senders may create inbound email work for an Agent.
- name: Features
description: Inspect capabilities available within an account hierarchy.
- name: Conversation Logs
description: Query conversation activity and calculate account-level metrics.
- name: Computer Agents
description: Set up, configure, inspect, and manage GetVoiceBot Computer Agents.
- name: Computer Agent Sessions
description: View and reset Computer Agent sessions.
- name: Accounts
- name: Agent Templates
description: Create, manage, and apply reusable Agent configurations.
paths:
/api/v2/billing/billingPeriod:
post:
tags:
- Billing
summary: Start a new billing period for an organization
description: >-
Start a new billing period for an organization. This must be set on the
day the current billing period ends – Reseller/Partner only.
parameters:
- name: targetAccountId
in: query
description: Account ID to update billing period for
required: false
example: '123'
schema:
type: string
- name: externalAccountId
in: query
description: External account identifier mapped to the target account
required: false
example: acct_123abc
schema:
type: string
requestBody:
required: true
content:
application/json:
schema:
type: object
required:
- startDateTimestamp
- endDateTimestamp
properties:
startDateTimestamp:
type: integer
example: 1735689600
description: Billing period start timestamp (seconds since epoch)
endDateTimestamp:
type: integer
example: 1738281600
description: Billing period end timestamp (seconds since epoch)
responses:
'200':
description: Billing period updated
content:
application/json:
schema:
type: object
properties:
success:
type: boolean
example: true
message:
type: string
example: Billing period updated
billingPeriod:
type: object
properties:
startDateTimestamp:
type: integer
example: 1735689600
endDateTimestamp:
type: integer
example: 1738281600
'400':
description: Validation error
content:
application/json:
schema:
type: object
properties:
success:
type: boolean
example: false
message:
type: string
example: >-
startDateTimestamp must not be greater than
endDateTimestamp
'404':
description: Account not found or inaccessible
content:
application/json:
schema:
type: object
properties:
success:
type: boolean
example: false
message:
type: string
example: Account not found for provided identifier
security:
- apiKeyAuth: []
components:
securitySchemes:
apiKeyAuth:
type: apiKey
in: query
name: token
description: GetVoiceBot API Token

````